<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<ex4D:plugin xmlns:ex4D="http://www.4d.com/plugin">


  <!--Time-->
  <ex4D:documentation name="Time" plugin-id="20000">
    <ex4D:plugin-description>

      <!-- write documentation for Time here -->
    </ex4D:plugin-description>
    <ex4D:commands>
      <ex4D:command-group command-group-id="1" name="Time">
        <ex4D:command command-id="1" name="TIME Get offset">
          <ex4D:command-description>

            <!-- write documentation for TIME Get offset here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="8">

            <!-- write documentation for $1 (REAL) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="T">

            <!-- write documentation for $2 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="L">

            <!-- write documentation for $3 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="4" label="" type="L">

            <!-- write documentation for $4 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="2" name="TIME Date to text">
          <ex4D:command-description>

            <!-- write documentation for TIME Date to text here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="D">

            <!-- write documentation for $1 (DATE) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="H">

            <!-- write documentation for $2 (TIME) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="L">

            <!-- write documentation for $3 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="4" label="" type="T">

            <!-- write documentation for $4 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="5" label="" type="T">

            <!-- write documentation for $5 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="6" label="" type="T">

            <!-- write documentation for $6 (TEXT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="3" name="TIME Date from text">
          <ex4D:command-description>

            <!-- write documentation for TIME Date from text here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="T">

            <!-- write documentation for $1 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="T">

            <!-- write documentation for $2 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="D">

            <!-- write documentation for $3 (DATE) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="4" label="" type="H">

            <!-- write documentation for $4 (TIME) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="5" label="" type="L">

            <!-- write documentation for $5 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="6" label="" type="T">

            <!-- write documentation for $6 (TEXT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="4" name="TIME Absolute from text">
          <ex4D:command-description>

            <!-- write documentation for TIME Absolute from text here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="T">

            <!-- write documentation for $1 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="T">

            <!-- write documentation for $2 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="8">

            <!-- write documentation for $3 (REAL) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="5" name="TIME Absolute to text">
          <ex4D:command-description>

            <!-- write documentation for TIME Absolute to text here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="8">

            <!-- write documentation for $1 (REAL) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="T">

            <!-- write documentation for $2 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="T">

            <!-- write documentation for $3 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="4" label="" type="T">

            <!-- write documentation for $4 (TEXT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="6" name="TIME Date from absolute">
          <ex4D:command-description>

            <!-- write documentation for TIME Date from absolute here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="8">

            <!-- write documentation for $1 (REAL) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="D">

            <!-- write documentation for $2 (DATE) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="H">

            <!-- write documentation for $3 (TIME) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="4" label="" type="L">

            <!-- write documentation for $4 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="5" label="" type="T">

            <!-- write documentation for $5 (TEXT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="7" name="TIME Date to absolute">
          <ex4D:command-description>

            <!-- write documentation for TIME Date to absolute here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="D">

            <!-- write documentation for $1 (DATE) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="H">

            <!-- write documentation for $2 (TIME) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="3" label="" type="L">

            <!-- write documentation for $3 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="4" label="" type="T">

            <!-- write documentation for $4 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="5" label="" type="8">

            <!-- write documentation for $5 (REAL) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
      </ex4D:command-group>
      <ex4D:command-group command-group-id="2" name="Timezone">
        <ex4D:command command-id="8" name="TIMEZONE Get region">
          <ex4D:command-description>

            <!-- write documentation for TIMEZONE Get region here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="T">

            <!-- write documentation for $1 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="T">

            <!-- write documentation for $2 (TEXT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="9" name="TIMEZONE Get default">
          <ex4D:command-description>

            <!-- write documentation for TIMEZONE Get default here -->
          </ex4D:command-description>
          <ex4D:return-value label="" type="T">

            <!-- write documentation for return value (TEXT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="10" name="TIMEZONE Get offset">
          <ex4D:command-description>

            <!-- write documentation for TIMEZONE Get offset here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="T">

            <!-- write documentation for $1 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="L">

            <!-- write documentation for $2 (LONGINT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="11" name="TIMEZONE Get display name">
          <ex4D:command-description>

            <!-- write documentation for TIMEZONE Get display name here -->
          </ex4D:command-description>
          <ex4D:argument argument-id="1" label="" type="T">

            <!-- write documentation for $1 (TEXT) here-->
          </ex4D:argument>
          <ex4D:argument argument-id="2" label="" type="T">

            <!-- write documentation for $2 (TEXT) here-->
          </ex4D:argument>
          <ex4D:return-value label="" type="L">

            <!-- write documentation for return value (LONGINT) here-->
          </ex4D:return-value>
        </ex4D:command>
        <ex4D:command command-id="12" name="TIMEZONE Get GMT">
          <ex4D:command-description>

            <!-- write documentation for TIMEZONE Get GMT here -->
          </ex4D:command-description>
          <ex4D:return-value label="" type="T">

            <!-- write documentation for return value (TEXT) here-->
          </ex4D:return-value>
        </ex4D:command>
      </ex4D:command-group>
    </ex4D:commands>
    <ex4D:constants>
      <ex4D:constant-group constant-group-id="1" name="TIME Formats" number="20000">
        <ex4D:constant constant-id="1" name="TIME ISO Date" type="S" value="yyyy-MM-dd'T'HH:mm:ss">

          <!-- write documentation for TIME ISO Date (yyyy-MM-dd'T'HH:mm:ss) here-->
        </ex4D:constant>
        <ex4D:constant constant-id="2" name="TIME ISO Date Zone Short" type="S" value="yyyy-MM-dd'T'HH:mm:ss z">

          <!-- write documentation for TIME ISO Date Zone Short (yyyy-MM-dd'T'HH:mm:ss z) here-->
        </ex4D:constant>
        <ex4D:constant constant-id="3" name="TIME ISO Date Zone Hours" type="S" value="yyyy-MM-dd'T'HH:mm:ss Z">

          <!-- write documentation for TIME ISO Date Zone Hours (yyyy-MM-dd'T'HH:mm:ss Z) here-->
        </ex4D:constant>
        <ex4D:constant constant-id="4" name="TIME ISO Date Zone Long" type="S" value="yyyy-MM-dd'T'HH:mm:ss zzzz">

          <!-- write documentation for TIME ISO Date Zone Long (yyyy-MM-dd'T'HH:mm:ss zzzz) here-->
        </ex4D:constant>
        <ex4D:constant constant-id="5" name="TIME ISO Date Zone Hour GMT" type="S" value="yyyy-MM-dd'T'HH:mm:ss ZZZZ">

          <!-- write documentation for TIME ISO Date Zone Hour GMT (yyyy-MM-dd'T'HH:mm:ss ZZZZ) here-->
        </ex4D:constant>
        <ex4D:constant constant-id="6" name="TIME ISO Date Zone Location" type="S" value="yyyy-MM-dd'T'HH:mm:ss VVVV">

          <!-- write documentation for TIME ISO Date Zone Location (yyyy-MM-dd'T'HH:mm:ss VVVV) here-->
        </ex4D:constant>
        <ex4D:constant constant-id="7" name="TIME ISO Date Zone Generic" type="S" value="yyyy-MM-dd'T'HH:mm:ss vvvv">

          <!-- write documentation for TIME ISO Date Zone Generic (yyyy-MM-dd'T'HH:mm:ss vvvv) here-->
        </ex4D:constant>
      </ex4D:constant-group>
    </ex4D:constants>
  </ex4D:documentation>

</ex4D:plugin>
